package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomUser;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomUserExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComRoomUserMapper {
    long countByExample(ThirdPartWeComRoomUserExample example);

    int deleteByExample(ThirdPartWeComRoomUserExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ThirdPartWeComRoomUser record);

    int insertSelective(ThirdPartWeComRoomUser record);

    List<ThirdPartWeComRoomUser> selectByExample(ThirdPartWeComRoomUserExample example);

    ThirdPartWeComRoomUser selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComRoomUser record, @Param("example") ThirdPartWeComRoomUserExample example);

    int updateByExample(@Param("record") ThirdPartWeComRoomUser record, @Param("example") ThirdPartWeComRoomUserExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComRoomUser record);

    int updateByPrimaryKey(ThirdPartWeComRoomUser record);
}